Bug 2334 - [UPDATE REQUEST] orca, speech-dispatcher. [LAST NAME] Orca not start
: [UPDATE REQUEST] orca, speech-dispatcher. [LAST NAME] Orca not start
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 20:23 MSD by Postnikov Dmitry
Modified: 2013-08-07 02:28 MSD (History)
4 users (show)

See Also:
RPM Package: orca-3.8.2-1-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-07-11 20:23:56 MSD
Description of problem:
Orca not start.

Version-Release number of selected component (if applicable):
orca-3.8.2-1-rosa2012.1.x86_64

Start from terminal:
===================
[pastordi@localhost ~]$ orca

** (orca:3293): WARNING **: Unable to open bus connection: Failed to connect to socket /root/.cache/at-spi2-socket-3025: Отказано в доступе

** (orca:3293): WARNING **: AT-SPI: Error in GetItems, sender=org.freedesktop.DBus, error=The name :1.0 was not provided by any .service files
/usr/lib64/python3.3/site-packages/gi/types.py:113: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
^C[pastordi@localhost ~]$

==================
Comment 1 Denis Silakov 2013-07-15 17:08:15 MSD
It seems that you launch some programs from root account and some from usual user.

Can you check if this bug persist in a clearly installed system when you login as a normal user and launch orca under this user?
Comment 2 Arkady L. Shane 2013-08-05 16:09:57 MSD
These new builds of orca and speech-dispatcher sould fix problem.

orca
====
https://abf.rosalinux.ru/build_lists/1196283
https://abf.rosalinux.ru/build_lists/1196284

speech-dispatcher
=================
https://abf.rosalinux.ru/build_lists/1196069
https://abf.rosalinux.ru/build_lists/1196070
Comment 3 Arkady L. Shane 2013-08-05 16:14:09 MSD
QA team, please, verify these packages QA.

Orca must use python3 speech-dispatcher version, what was absent in ROSA.
Comment 4 Vladimir Potapov 2013-08-06 19:10:08 MSD
orca-3.8.2-2-rosa2012.1
python3-speechd-0.7.1-3-rosa2012.1
*********************** Advisory ***********************
+ orca start fail fixed (#2334)
********************************************************
QA Verified